import type { _CXCallAction } from "./CXCallAction.js";
import type { _NSCoder } from "../Foundation/NSCoder.js";
import type { _NSUUID } from "../Foundation/NSUUID.js";
export declare class _CXSetGroupCallAction extends _CXCallAction {
    static alloc(): _CXSetGroupCallAction;
    static new(): _CXSetGroupCallAction;
    init(): _CXSetGroupCallAction;
    initWithCallUUID$callUUIDToGroupWith$(callUUID: _NSUUID, callUUIDToGroupWith: _NSUUID | null): _CXSetGroupCallAction;
    initWithCoder$(aDecoder: _NSCoder): _CXSetGroupCallAction | null;
    /**
     * The UUID of another call to group with. - If the call for this action's UUID is already in a group, it should leave that group if necessary. - If nil, leave any group the call is currently in.
     */
    callUUIDToGroupWith(): _NSUUID | null;
    setCallUUIDToGroupWith$(value: _NSUUID | null): void;
}
